# QCad
# (c) Q Solutions 1998
#
#
#
# Bitmap functions
#
#

proc bitmapFind { bitmap } {

	global GBL

	set file [fileFind $GBL(BitmapPath) $bitmap .bmp]
	if { ! [file exists $file] } { set file "" }
	return $file
}

proc bitmapGenerate { name len space w } {

	lappend bm "#define ${name}_width [expr $len + $space]\n"
	lappend bm "#define ${name}_height $w\n"
	lappend bm "static char ${name}_bits[] = \{\n"
	while { $w } {



		incr w -1
	}
	lappend bm "\}\n"

	return $bm
}




